Last modified: 2011-11-11 22:36:18 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 30882 - Create Wikipedia in Northern Sotho
Create Wikipedia in Northern Sotho
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Language setup (Other open bugs)
unspecified
All All
: High critical with 2 votes (vote)
: ---
Assigned To: Nobody - You can work on this!
http://meta.wikimedia.org/wiki/Reques...
: i18n, ops, shell
Depends on: 31624 32080
Blocks: wikis-to-create
  Show dependency treegraph
 
Reported: 2011-09-13 10:31 UTC by Milos Rancic
Modified: 2011-11-11 22:36 UTC (History)
13 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Milos Rancic 2011-09-13 10:31:24 UTC
* Project code: nso
* Project name: Wikipedia
* Project namespace: Wikipedia
* Project_talk namespace: Dipolelo tša Wikipedia
* Wiki logo: Wikipedia-logo-v2-tn.png
* Default timezone: South Africa/Pretoria (SAST)
* User interface: See Translatewiki.
Comment 1 Ian Gilfillan 2011-10-10 20:09:36 UTC
Is there an expected date of arrival for this? This is quite a big deal in the South African context, and for Wikimedia-ZA, so any feedback so that we can co-ordinate an announcement in the local media would be great.

Thanks :)
Comment 2 Étienne Beaulé 2011-10-15 11:20:56 UTC
(In reply to comment #1)
> Is there an expected date of arrival for this? This is quite a big deal in the
> South African context, and for Wikimedia-ZA, so any feedback so that we can
> co-ordinate an announcement in the local media would be great.
> 
> Thanks :)

I would think that Wikimedia-ZA could edit on incubator.  Ebe123
Comment 3 Gerard Meijssen 2011-10-16 04:07:43 UTC
They can but there should be no need. GerardM
Comment 4 Étienne Beaulé 2011-10-16 18:31:46 UTC
(In reply to comment #3)
> They can but there should be no need. GerardM

If there was no need, then why is there the incubator at all?
Comment 5 Huib abigor Laurens 2011-10-16 18:53:48 UTC
Its simple and offtopic for this bug. 

Wikimedia Incubator is created for Wikinews, WikiQuote, Wikipedia and WikiBooks
Wikiversity beta is created for Wikiversities. 
Wikisource old is created for WikiSource. 

There is no place for Wikimedia versions, and there are policies at incubator to not incubate wikimedia versions.
Comment 6 Étienne Beaulé 2011-10-16 19:02:19 UTC
It was about Wikimedia-ZA editing incubator, not about wikimedia-ZA's wiki at incubator.
Comment 7 Mark 2011-10-16 19:56:47 UTC
Ebe, I would hope you would understand the psychological difference between having a wiki in the incubator and a real, separate, Wikipedia with its own subdomain. This is a "big deal" to most people. A press release stating "A Wikipedia in the Northern Sotho language has just been created!" is much more impactful and dramatic than "A test version of Wikipedia in the Northern Sotho language currently exists at the Wikimedia Incubator, and will someday get its own separate project".
Comment 8 Mark 2011-10-16 19:58:47 UTC
Also note that Gerard said there SHOULD be no need, not that there is no need. Once a project is approved, there should be no need for it to stay at incubator or for people to edit it on incubator, since it should ideally get an own domain soon. Incubator is currently very necessary, but now that nso.wp has been approved there *should* be no need for people to edit it at incubator.
Comment 9 Robin Pepermans (SPQRobin) 2011-10-16 20:15:37 UTC
We are getting off-topic here, but I want to add:

There should be no need to edit it, in the context of getting a subdomain. But there *is* need to edit an Incubator wiki just like there is need to edit an existing wiki, with our common goal to spread free knowledge. I do understand that getting a subdomain is big news (and having it is more user-friendly), but editing Incubator should not be solely for getting that subdomain.
Comment 10 JeLuF 2011-10-29 21:30:02 UTC
Done.
Comment 11 Ian Gilfillan 2011-10-31 08:19:39 UTC
Thanks JeLuF.

I see the subdomain has been reserved, but as of yet there is no data, and the message reads "Please do not start editing this new site. This site has a test project on the Wikimedia Incubator (or on the BetaWikiversity or on the Old Wikisource) and it will be imported to here."

What is the process for importing this data?
Comment 12 Étienne Beaulé 2011-10-31 12:19:14 UTC
Well, I'm currently in the process of de-prefixing.  We take all the pages in the category, put them in a XML file, and remove all the prefixes.  After, we import all into the wiki.
Comment 13 Robin Pepermans (SPQRobin) 2011-10-31 13:45:21 UTC
I hope you aren't manually removing the prefixes... Importing shouldn't take much time.
Comment 14 Étienne Beaulé 2011-10-31 13:59:46 UTC
What other way?
Comment 15 Robin Pepermans (SPQRobin) 2011-10-31 14:05:42 UTC
In a text editor you can search and replace all prefixes with one click (with "manually" I meant removing each of them separately).
Comment 16 Huib abigor Laurens 2011-10-31 14:06:26 UTC
I used to do it with a python script... Took 5 minutes.
Comment 17 Étienne Beaulé 2011-10-31 14:19:01 UTC
I'm doing it (semi-)manually, as I can, but it takes time and can cause the program to crash, I'm using a mac and dashcode automaticly crashes.  I will be tring to get it faster.
Comment 18 Robin Pepermans (SPQRobin) 2011-10-31 14:27:06 UTC
If you need the file without prefixes: http://robinpepermans.be/nsowiki.xml
Comment 19 Mark 2011-11-01 09:39:00 UTC
Given that SPQRobin has been kind enough to provide the XML file without prefixes, I hope the import can be finished today so Sepedi Wikipedia's creation can be totally finished.
Comment 20 Robin Pepermans (SPQRobin) 2011-11-01 16:18:52 UTC
Reopening, because [[nso:]] does not work as an interwiki prefix.
Comment 21 Roan Kattouw 2011-11-01 16:55:04 UTC
(In reply to comment #20)
> Reopening, because [[nso:]] does not work as an interwiki prefix.
Fixed by updating the interwiki cache.
Comment 22 Étienne Beaulé 2011-11-01 20:15:07 UTC
(In reply to comment #19)
> Given that SPQRobin has been kind enough to provide the XML file without
> prefixes, I hope the import can be finished today so Sepedi Wikipedia's
> creation can be totally finished.

I finished importing.
Comment 23 Mark 2011-11-01 20:26:22 UTC
Thanks Ebe! However it seems some pages are still missing:

http://incubator.wikimedia.org/wiki/Wp/nso/Afrika_Borwa (article about South Africa)
http://nso.wikipedia.org/wiki/Afrika_Borwa (does not exist)

http://incubator.wikimedia.org/wiki/Wp/nso/Asia
http://nso.wikipedia.org/wiki/Asia (does not exist)

http://incubator.wikimedia.org/wiki/Wp/nso/Europa
http://nso.wikipedia.org/wiki/Europa (does not exist)

(for example)
Comment 24 Mohau 2011-11-01 20:30:19 UTC
(In reply to comment #23)
> Thanks Ebe! However it seems some pages are still missing:
> 
> http://incubator.wikimedia.org/wiki/Wp/nso/Afrika_Borwa (article about South
> Africa)
> http://nso.wikipedia.org/wiki/Afrika_Borwa (does not exist)
> 
> http://incubator.wikimedia.org/wiki/Wp/nso/Asia
> http://nso.wikipedia.org/wiki/Asia (does not exist)
> 
> http://incubator.wikimedia.org/wiki/Wp/nso/Europa
> http://nso.wikipedia.org/wiki/Europa (does not exist)
> 
> (for example)

Yes, as well as some templates.
Comment 25 Étienne Beaulé 2011-11-01 22:07:06 UTC
Going to import.  Quick.  Done.
Comment 26 Mark 2011-11-01 22:28:01 UTC
Etienne: Unfortunately there are still around 100 pages missing, including some of the most important ones (the page about South Africa and the page about the Sepedi/Northern Sotho language).

I have made a list here of articles that exist on Incubator but have not been imported yet:

http://nso.wikipedia.org/wiki/Mo%C5%A1omi:Node_ue/Missing
Comment 27 Robin Pepermans (SPQRobin) 2011-11-01 22:32:53 UTC
Those are included in my xml file; you can import that (it won't cause problems because it also contains pages that are already imported).
Comment 28 Étienne Beaulé 2011-11-01 23:03:48 UTC
I tried 2 ways!  I can't beleve some pages got through!  And Ágreda?  I checked my XML file, and it was there.  There's a bug in the system for importing.  I know.  At each time I import and it's a big file.  Not all gets imported and I get a big fat error page.  It's just 2 pages.  Nothing big now.
Comment 29 Mark 2011-11-01 23:21:48 UTC
Ebe: It seems your system is having troubles with accented characters. The 2 pages that haven't imported still have accented titles; the latest pages that were imported have broken accented characters:

Compare 

http://incubator.wikimedia.org/wiki/Wp/nso/Europa
http://nso.wikipedia.org/wiki/Europa
Comment 30 Robin Pepermans (SPQRobin) 2011-11-03 22:47:34 UTC
It was imported using wrong character encoding. We have temporarily disabled editing pages via TitleBlacklist. We are exporting new pages and are going to re-import it.

So could someone please clear the database (or delete & re-create the wiki), so we can re-import it?

Thanks
Comment 31 Hydriz Scholz 2011-11-04 11:20:35 UTC
I was browsing through svn.wikimedia.org and was wondering if anyone actually saw one incubator-transfer script.[1]

If this script could work, should the sysadmins use it from now on to prevent such incidents from happening again?

[1]: http://svn.wikimedia.org/svnroot/mediawiki/trunk/tools/incubator-transfer/
Comment 32 Robin Pepermans (SPQRobin) 2011-11-08 21:04:01 UTC
Any reaction, please? If it's too much work to empty the wiki, it's OK, we can leave it as it is. In any case we would like to have it re-opened one of these days...
Comment 33 Robin Pepermans (SPQRobin) 2011-11-08 21:11:03 UTC
(In reply to comment #31)
> I was browsing through svn.wikimedia.org and was wondering if anyone actually
> saw one incubator-transfer script.[1]
> 
> If this script could work, should the sysadmins use it from now on to prevent
> such incidents from happening again?
> 
> [1]: http://svn.wikimedia.org/svnroot/mediawiki/trunk/tools/incubator-transfer/

Interesting... But I assume it would mean more work for sysadmins, so longer waiting time for new wikis ;-)
Comment 34 Roan Kattouw 2011-11-09 15:31:51 UTC
(In reply to comment #32)
> Any reaction, please? If it's too much work to empty the wiki, it's OK, we can
> leave it as it is. In any case we would like to have it re-opened one of these
> days...

I am going to delete and recreate the wiki now.
Comment 35 Mohau 2011-11-09 15:54:39 UTC
(In reply to comment #34)

> I am going to delete and recreate the wiki now.

Thanks Roan, your help in getting this wiki going is appreciated.
Comment 36 Roan Kattouw 2011-11-09 15:55:06 UTC
Done. Recreating the wiki wasn't hard, but getting rid of the (cached!) blanket TitleBlacklist rule (.* <noedit>) was hard. Please don't do that again, that rule caused some serious trouble.
Comment 37 Robin Pepermans (SPQRobin) 2011-11-11 22:36:18 UTC
(In reply to comment #36)
> Done. Recreating the wiki wasn't hard, but getting rid of the (cached!) blanket
> TitleBlacklist rule (.* <noedit>) was hard. Please don't do that again, that
> rule caused some serious trouble.

Sorry, it was to prevent users from editing the wiki while we were waiting for this. Anyway, we are taking measures to prevent import problems in the future (<http://meta.wikimedia.org/wiki/New_wikis_importers>).

Marking this bug as resolved, since MF-Warburg imported it again.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links